## com.google.appengine.api.search
Enum StatusCode

    java.lang.Object
      java.lang.Enum<StatusCode>
          com.google.appengine.api.search.StatusCode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<StatusCode>

    public enum StatusCode

extends java.lang.Enum<StatusCode>

Status code returned by various index operations.

Enum Constant Summary
`INTERNAL_ERROR` The last operation failed due to a internal backend error.
`INVALID_REQUEST` The last operation failed due to invalid, user specified parameters.
`OK` The last operation was successfully completed.
`PERMISSION_DENIED_ERROR` The last operation failed due to user not having permission.
`TRANSIENT_ERROR` The last operation failed due to a transient backend error.

Method Summary
`static StatusCode` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static StatusCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OK

    public static final StatusCode OK

  The last operation was successfully completed.

### INVALID_REQUEST

    public static final StatusCode INVALID_REQUEST

  The last operation failed due to invalid, user specified parameters.

### TRANSIENT_ERROR

    public static final StatusCode TRANSIENT_ERROR

  The last operation failed due to a transient backend error.

### INTERNAL_ERROR

    public static final StatusCode INTERNAL_ERROR

  The last operation failed due to a internal backend error.

### PERMISSION_DENIED_ERROR

    public static final StatusCode PERMISSION_DENIED_ERROR

  The last operation failed due to user not having permission.

Method Detail

### values

    public static StatusCode[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StatusCode c : StatusCode.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StatusCode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null